d0f0cde2ccecc680857896c717a3det=UTF-8
Last-Modified: Wed, 05 Feb 2025 22:38:17 GMT
Expires: Sat, 03 Feb 2035 22:38:17 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>.travis.yml - minetest.git - modified minetest for gpcfs purposes</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/static/cgit.css'/>
<link rel='shortcut icon' href='//bananach.space/favicon.png'/>
<link rel='alternate' title='Atom feed' href='https://git.bananach.space/minetest.git/atom/.travis.yml?h=lifo-fixes' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='//bananach.space/bananach.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/minetest.git/'>minetest.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='96fe1de8322a57ad82fcab3540c1eb44f74b9989'/><select name='h' onchange='this.form.submit();'>
<option value='gpcf'>gpcf</option>
<option value='lifo-fixes' selected='selected'>lifo-fixes</option>
<option value='release'>release</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>modified minetest for gpcfs purposes</td><td class='sub right'>gpcf</td></tr></table>
<table class='tabs'><tr><td>
<a href='/minetest.git/about/?h=lifo-fixes'>about</a><a href='/minetest.git/?h=lifo-fixes'>summary</a><a href='/minetest.git/refs/?h=lifo-fixes&amp;id=96fe1de8322a57ad82fcab3540c1eb44f74b9989'>refs</a><a href='/minetest.git/log/.travis.yml?h=lifo-fixes'>log</a><a class='active' href='/minetest.git/tree/.travis.yml?h=lifo-fixes&amp;id=96fe1de8322a57ad82fcab3540c1eb44f74b9989'>tree</a><a href='/minetest.git/commit/.travis.yml?h=lifo-fixes&amp;id=96fe1de8322a57ad82fcab3540c1eb44f74b9989'>commit</a><a href='/minetest.git/diff/.travis.yml?h=lifo-fixes&amp;id=96fe1de8322a57ad82fcab3540c1eb44f74b9989'>diff</a></td><td class='form'><form class='right' method='get' action='/minetest.git/log/.travis.yml'>
<input type='hidden' name='h' value='lifo-fixes'/><input type='hidden' name='id' value='96fe1de8322a57ad82fcab3540c1eb44f74b9989'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/minetest.git/tree/?h=lifo-fixes&amp;id=96fe1de8322a57ad82fcab3540c1eb44f74b9989'>root</a>/<a href='/minetest.git/tree/.travis.yml?h=lifo-fixes&amp;id=96fe1de8322a57ad82fcab3540c1eb44f74b9989'>.travis.yml</a></div><div class='content'>blob: 2cd867295757058407dcf279804a6ec74cba1b04 (<a href='/minetest.git/plain/.travis.yml?h=lifo-fixes&amp;id=96fe1de8322a57ad82fcab3540c1eb44f74b9989'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
</pre></td>
<td class='lines'><pre><code><span class="hl kwa">language:</span> cpp
<span class="hl kwa">compiler:</span>
  - gcc
  - clang
<span class="hl kwa">before_install:</span>
  - if <span class="hl opt">[</span> $CC <span class="hl opt">=</span> <span class="hl str">&quot;clang&quot;</span> <span class="hl opt">]</span>; then export PATH<span class="hl opt">=</span><span class="hl str">&quot;/usr/bin/:$PATH&quot;</span>; <span class="hl kwb">sudo</span> sh -c <span class="hl str">&apos;echo &quot;deb http://ppa.launchpad.net/eudoxos/llvm-3.1/ubuntu precise main&quot; &gt;&gt; /etc/apt/sources.list&apos;</span>; <span class="hl kwb">sudo</span> <span class="hl kwc">apt</span>-key adv --keyserver keyserver.ubuntu.com --recv-keys <span class="hl num">92</span>DE<span class="hl num">8183</span>; <span class="hl kwb">sudo</span> <span class="hl kwc">apt</span>-get update; <span class="hl kwb">sudo</span> <span class="hl kwc">apt</span>-get install llvm-<span class="hl num">3.1</span>; <span class="hl kwb">sudo</span> <span class="hl kwc">apt</span>-get install clang; fi
  - <span class="hl kwb">sudo</span> <span class="hl kwc">apt</span>-get install libirrlicht-dev cmake libbz<span class="hl num">2</span>-dev libpng<span class="hl num">12</span>-dev libjpeg<span class="hl num">8</span>-dev libxxf<span class="hl num">86</span>vm-dev libgl<span class="hl num">1</span>-mesa-dev libsqlite<span class="hl num">3</span>-dev libogg-dev libvorbis-dev libopenal-dev
<span class="hl kwa">script:</span> cmake . <span class="hl opt">&amp;&amp;</span> make
<span class="hl kwa">notifications:</span>
  <span class="hl kwa">email:</span> false
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2025-02-05 22:38:17 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
